SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Gzip Vendors:   GNU [multiple authors]
Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution
SecurityTracker Alert ID:  1016883
SecurityTracker URL:  http://securitytracker.com/id/1016883
CVE Reference:   CVE-2006-4334, CVE-2006-4335, CVE-2006-4336, CVE-2006-4337, CVE-2006-4338   (Links to External Site)
Date:  Sep 19 2006
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network

Version(s): 1.2.4
Description:   A vulnerability was reported in Gzip. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted archive that, when expanded by the target user or application, will trigger a buffer overflow and execute arbitrary code on the target system. The code will run with the privileges of the target user or application.

A specially crafted archive can also trigger a NULL pointer dereference or cause gzip to enter an infinite loop.

Tavis Ormandy of the Google Security Team discovered these vulnerabilities.

Impact:   A remote user can create an archive that, when processed by the target user or application, will execute arbitrary code on the target system or cause gzip to crash or hang.
Solution:   No upstream solution was available at the time of this entry.
Vendor URL:  www.gzip.org/ (Links to External Site)
Cause:   Boundary error, State error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 19 2006 (Red Hat Issues Fix) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 2.1, 3, and 4.
Sep 19 2006 (FreeBSD Issues Fix) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution   (FreeBSD Security Advisories <security-advisories@freebsd.org>)
FreeBSD has released a fix for FreeBSD 4.11, 5.3, 5.4, 5.5, 6.0, and 6.1.
Nov 29 2006 (Apple Issues Fix) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution   (Apple Product Security <product-security-noreply@lists.apple.com>)
Apple has released a fix for Mac OS X.
Mar 1 2007 (HP Issues Fix for Software Distributor) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution
HP has issued a fix for Software Distributor, which is affected by this gzip vulnerability.
Mar 16 2007 (VMware Issues Fix for ESX Server) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution
VMware has issued a fix for VMware ESX Server, which is affected by this vulnerability.
Mar 30 2007 (VMware Issues Fix for ESX Server) Gzip Bugs in Expanding Archives Let Remote Users Cause Denial of Service Conditions or Arbitrary Code Execution   (VMware Security team <security@vmware.com>)
VMware has issued a fix for VMware ESX Server.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC